@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@300;400;500&display=swap');
*{
  box-sizing: border-box;
}
html, body{
  height: 100%;
}
body {
  background-color: #111122;
  color: #fff;
  font-weight: 400;
  font: 14px sans-serif;
  margin: 0;
}
h1{
  font-weight: 500;
}
ol, ul {
  padding-left: 30px;
}
.board-row:after {
  clear: both;
  content: "";
  display: table;
}
.game{
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  flex-wrap: nowrap;
  height: 100vh;
  width: 100vw;
  padding: 1vw;
  overflow: hidden;
}
.game > *{
  position: relative;
  width: 100%;
}
.game-board{
  align-content: center;
  align-items: center;
  display: flex;
  justify-content: center;
  width: 100%;
  flex: auto 1 1;
}
.game-status{
  align-content: center;
  align-items: center;
  display: flex;
}
.square {
  background: transparent;
  float: left;
  font-size: 5vmax;
  font-weight: bold;
  height: 8vmax;
  line-height: 8vmax;
  margin-right: -1px;
  margin-top: -1px;
  padding: 0;
  text-align: center;
  width: 8vmax;
}
.square:first-child{border-left: none;}
.square:last-child{border-right: none;}
.board-row:first-child .square{border-top: none;}
.board-row:last-child .square{border-bottom: none;}
.square:focus {
  outline: none;
}
.kbd-navigation .square:focus {
  background: #d0d;
}

.game-header{
  align-content: center;
  align-items: center;
  display: flex;
  width: 100%;
  justify-content: space-between;
  padding: 1em;
}
.game-title{
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  position: relative;
  width: 100%;
}
.game-info {
  margin-left: 20px;
}
.game-history{
  position: fixed;
  top: 0;
  right: 0;
  width: 20vmax;
  height: 100vh;
  opacity: 0;
  z-index: -1;
  background-color: #FFF;
  color: #111122;
}
.game-history button{
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: none;
  background: none;
  cursor: pointer;
  font-weight: bold;
}
.game-history button:hover{
  text-decoration: underline;
}
.game-history.active{
  opacity: 1;
  z-index: 2;
}
.game-history-toggle{
  height: 20px;
  width: 20px;
  background-position: center;
  background-size: contain;
  background-image: url(https://cdn1.iconfinder.com/data/icons/freeline/32/alarm_alert_clock_event_history_schedule_time_watch-512.png);
  filter: invert(100%);
  cursor: pointer;
  z-index: 3;
}
.game-history-toggle.active {
  filter: invert(0);
}
.x, .o{
  font-size: 1.5em;
  font-weight: bolder;
}
.x{
  color: #F2994A;
}
.o{
  color: #2D9CDB;
}
